#
# spec file for package libturpial
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libturpial
Version:        1.7.0
Release:        5.1
Summary:        Lightweight, functional and integrated Twitter client
License:        GPL-3.0+
Group:          Productivity/Networking/Instant Messenger
Url:            http://turpial.org.ve/
Source:         %{name}-%{version}.tar.gz
BuildRequires:  python-babel
BuildRequires:  python-imaging
BuildRequires:  python-setuptools
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
Requires:       python-cairo
Requires:       python-requests
Requires:       python-oauth
Requires:       python-Jinja2
Requires:       python-qt4
Requires:       python-gtk
Requires:       python-webkitgtk
Requires:       python-notify
%{py_requires}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Turpial is a microblogging client with support for multiple interfaces.
It's developed using Python and its goal is to be native, light and
integrated with desktop environment, but without loosing any
functionality.


%prep
%setup -q -n %{name}-%{version}

%build
chmod 644 AUTHORS ChangeLog COPYING README.rst
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot} --prefix %{_prefix}
rm -rf %{buildroot}/usr/AUTHORS %{buildroot}/usr/COPYING %{buildroot}/usr/ChangeLog
rm -rf %{buildroot}%{python_sitelib}/tests
%fdupes %{buildroot}%{python_sitelib}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README.rst
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info

%changelog
* Tue Jul  1 2014 hillwood@linuxfans.org
- Initial package.
